Bug 147988 - [PATCH] mail/dovecot: pre-install -> pre-su-install
Summary: [PATCH] mail/dovecot: pre-install -> pre-su-install
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-19 04:40 UTC by Greg Lewis
Modified: 2010-07-05 06:50 UTC (History)
1 user (show)

See Also:


Attachments
dovecot-1.2.11.patch (577 bytes, patch)
2010-06-19 04:40 UTC, Greg Lewis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Lewis freebsd_committer 2010-06-19 04:40:01 UTC
The pkg-install script run during pre-install will potentially create a user
and a group, so it needs to be run as root.  Achieve this by switching to
the pre-su-install target.

Port maintainer (yds@CoolRat.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-06-19 04:40:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glewis

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-06-19 04:40:43 UTC
Maintainer of mail/dovecot,

Please note that PR ports/147988 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/147988

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-06-19 04:40:45 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Yarema 2010-07-04 20:01:00 UTC
Approved.  Please commit together with PR ports/147996.  No PORTREVISION 
bump necessary for the base mail/dovecot port if these PRs are applied 
together.  Thanks for the fix, Greg.

-- 
Yarema
Comment 5 dfilter service freebsd_committer 2010-07-05 06:40:21 UTC
sahil       2010-07-05 05:39:49 UTC

  FreeBSD ports repository

  Modified files:
    mail/dovecot         Makefile distinfo 
  Log:
  - Use pre-su-install instead of pre-install target [1]
  - Update to 1.2.12 [2]
  
  PR:             ports/147988 [1], ports/147996 [2]
  Submitted by:   glewis@ [1], Denny Lin <dennylin93@hs.ntnu.edu.tw> [2]
  Approved by:    Yarema <yds@CoolRat.org> (maintainer)
                  wxs@/itetcu@ (mentors, implicit)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.114     +5 -4      ports/mail/dovecot/Makefile
  1.76      +6 -6      ports/mail/dovecot/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Sahil Tandon freebsd_committer 2010-07-05 06:47:32 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!